import java.lang.reflect.*;

public class Mapper {
    public Object map(Object source, String destination) {
        Object object = new Object();
        try {
            Class<?> aClass = Class.forName(destination);
            object = aClass.getConstructor().newInstance();
            Field[] sourceFields = source.getClass().getDeclaredFields();
            for (Field sourceField : sourceFields) {
                sourceField.setAccessible(true);
                Field destinationField = object.getClass().getDeclaredField(sourceField.getName());
                destinationField.setAccessible(true);
                destinationField.set(object, sourceField.get(source));
            }
        } catch (ClassNotFoundException | InstantiationException | IllegalAccessException | NoSuchMethodException | InvocationTargetException | NoSuchFieldException e) {
            e.printStackTrace();
        }
        return object;
    }
}
