import org.junit.jupiter.api.*;

import static org.junit.jupiter.api.Assertions.*;

class MapperTest {
    private Mapper mapper;

    @BeforeEach
    void setUp() {
        mapper = new Mapper();
    }

    @Test
    void testEmptyFieldsMap() {
        Source source = new Source();
        Object destination = mapper.map(source, "Destination");
        assertEquals(Destination.class, destination.getClass());
    }

    @Test
    void testMapWithSameFields() {
        Source source = new Source();
        source.setFirst("first");
        source.setSecond("second");

        Destination destination = (Destination) mapper.map(source, "Destination");
        assertEquals("first", destination.getFirst());
    }
}
